<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Mle::PendingTimestampTlv Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d9/daf/classThread_1_1Mle_1_1PendingTimestampTlv-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Mle::PendingTimestampTlv Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../de/d97/group__core-mle.html">MLE</a> &raquo; <a class="el" href="../../d4/d80/group__core-mle-tlvs.html">TLVs</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements Pending Timestamp TLV generation and parsing.  
 <a href="../../dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d1/df7/mle__tlvs_8hpp_source.html">src/core/thread/mle_tlvs.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Mle::PendingTimestampTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d86/classThread_1_1Mle_1_1PendingTimestampTlv__inherit__graph.png" border="0" usemap="#Thread_1_1Mle_1_1PendingTimestampTlv_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Mle_1_1PendingTimestampTlv_inherit__map" id="Thread_1_1Mle_1_1PendingTimestampTlv_inherit__map">
<area shape="rect" id="node2" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html" title="This class implements MLE TLV generation and parsing. " alt="" coords="5,5,123,31"/>
<area shape="rect" id="node3" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html" title="This class implements Timestamp generation and parsing. " alt="" coords="147,5,349,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Mle::PendingTimestampTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/ddc/classThread_1_1Mle_1_1PendingTimestampTlv__coll__graph.png" border="0" usemap="#Thread_1_1Mle_1_1PendingTimestampTlv_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Mle_1_1PendingTimestampTlv_coll__map" id="Thread_1_1Mle_1_1PendingTimestampTlv_coll__map">
<area shape="rect" id="node2" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html" title="This class implements MLE TLV generation and parsing. " alt="" coords="5,5,123,31"/>
<area shape="rect" id="node3" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html" title="This class implements Timestamp generation and parsing. " alt="" coords="147,5,349,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6eaf83b044eb4b3a60b370702e67e760"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6eaf83b044eb4b3a60b370702e67e760"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv.html#a6eaf83b044eb4b3a60b370702e67e760">Init</a> (void)</td></tr>
<tr class="memdesc:a6eaf83b044eb4b3a60b370702e67e760"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the TLV. <br /></td></tr>
<tr class="separator:a6eaf83b044eb4b3a60b370702e67e760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23c1adf639c35ecbda8cafcffc171797"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv.html#a23c1adf639c35ecbda8cafcffc171797">IsValid</a> (void) const </td></tr>
<tr class="memdesc:a23c1adf639c35ecbda8cafcffc171797"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the TLV appears to be well-formed.  <a href="#a23c1adf639c35ecbda8cafcffc171797">More...</a><br /></td></tr>
<tr class="separator:a23c1adf639c35ecbda8cafcffc171797"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1Mle_1_1Tlv"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1Mle_1_1Tlv')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html">Thread::Mle::Tlv</a></td></tr>
<tr class="memitem:ad28182aa15948860fd1f1f179cbdc051 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#ad28182aa15948860fd1f1f179cbdc051">GetType</a> (void) const </td></tr>
<tr class="memdesc:ad28182aa15948860fd1f1f179cbdc051 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Type value.  <a href="#ad28182aa15948860fd1f1f179cbdc051">More...</a><br /></td></tr>
<tr class="separator:ad28182aa15948860fd1f1f179cbdc051 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20693a0ee15c8eed9d63c29408a3dd21 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#a20693a0ee15c8eed9d63c29408a3dd21">SetType</a> (<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a> aType)</td></tr>
<tr class="memdesc:a20693a0ee15c8eed9d63c29408a3dd21 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Type value.  <a href="#a20693a0ee15c8eed9d63c29408a3dd21">More...</a><br /></td></tr>
<tr class="separator:a20693a0ee15c8eed9d63c29408a3dd21 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ca0e457786d652857a47519d7629bea inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ca0e457786d652857a47519d7629bea"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#a2ca0e457786d652857a47519d7629bea">GetLength</a> (void) const </td></tr>
<tr class="memdesc:a2ca0e457786d652857a47519d7629bea inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Length value. <br /></td></tr>
<tr class="separator:a2ca0e457786d652857a47519d7629bea inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9531efdff2976fbea3881c7c893a1c8 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#aa9531efdff2976fbea3881c7c893a1c8">SetLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:aa9531efdff2976fbea3881c7c893a1c8 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Length value.  <a href="#aa9531efdff2976fbea3881c7c893a1c8">More...</a><br /></td></tr>
<tr class="separator:aa9531efdff2976fbea3881c7c893a1c8 inherit pub_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1MeshCoP_1_1Timestamp')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Thread::MeshCoP::Timestamp</a></td></tr>
<tr class="memitem:a50ab11efbf35e82eb735354fb4abecb5 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#a50ab11efbf35e82eb735354fb4abecb5">Init</a> (void)</td></tr>
<tr class="memdesc:a50ab11efbf35e82eb735354fb4abecb5 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html" title="This class implements Timestamp generation and parsing. ">Timestamp</a>.  <a href="#a50ab11efbf35e82eb735354fb4abecb5">More...</a><br /></td></tr>
<tr class="separator:a50ab11efbf35e82eb735354fb4abecb5 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa13f4aa7fb7852e57b3466feff2a4e99 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#aa13f4aa7fb7852e57b3466feff2a4e99">Compare</a> (const <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Timestamp</a> &amp;aCompare) const </td></tr>
<tr class="memdesc:aa13f4aa7fb7852e57b3466feff2a4e99 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method compares this timestamp to another.  <a href="#aa13f4aa7fb7852e57b3466feff2a4e99">More...</a><br /></td></tr>
<tr class="separator:aa13f4aa7fb7852e57b3466feff2a4e99 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee593abfb8d266dcfd49f4c910dd8d07 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memItemLeft" align="right" valign="top">uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#aee593abfb8d266dcfd49f4c910dd8d07">GetSeconds</a> (void) const </td></tr>
<tr class="memdesc:aee593abfb8d266dcfd49f4c910dd8d07 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Seconds value.  <a href="#aee593abfb8d266dcfd49f4c910dd8d07">More...</a><br /></td></tr>
<tr class="separator:aee593abfb8d266dcfd49f4c910dd8d07 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10afaf06203c87bf2b9295639bdce780 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#a10afaf06203c87bf2b9295639bdce780">SetSeconds</a> (uint64_t aSeconds)</td></tr>
<tr class="memdesc:a10afaf06203c87bf2b9295639bdce780 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Seconds value.  <a href="#a10afaf06203c87bf2b9295639bdce780">More...</a><br /></td></tr>
<tr class="separator:a10afaf06203c87bf2b9295639bdce780 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f899f485f785af3aec8e8ad4f29257a inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#a0f899f485f785af3aec8e8ad4f29257a">GetTicks</a> (void) const </td></tr>
<tr class="memdesc:a0f899f485f785af3aec8e8ad4f29257a inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Ticks value.  <a href="#a0f899f485f785af3aec8e8ad4f29257a">More...</a><br /></td></tr>
<tr class="separator:a0f899f485f785af3aec8e8ad4f29257a inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02855ab824c2ac45e88b8ff7552c3cbd inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#a02855ab824c2ac45e88b8ff7552c3cbd">SetTicks</a> (uint16_t aTicks)</td></tr>
<tr class="memdesc:a02855ab824c2ac45e88b8ff7552c3cbd inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Ticks value.  <a href="#a02855ab824c2ac45e88b8ff7552c3cbd">More...</a><br /></td></tr>
<tr class="separator:a02855ab824c2ac45e88b8ff7552c3cbd inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9beba3b4289b0cdf09b1030d61f9f59 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#ac9beba3b4289b0cdf09b1030d61f9f59">GetAuthoritative</a> (void) const </td></tr>
<tr class="memdesc:ac9beba3b4289b0cdf09b1030d61f9f59 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Authoritative value.  <a href="#ac9beba3b4289b0cdf09b1030d61f9f59">More...</a><br /></td></tr>
<tr class="separator:ac9beba3b4289b0cdf09b1030d61f9f59 inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e9c5085e489b8b5794c837affe83a4a inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#a8e9c5085e489b8b5794c837affe83a4a">SetAuthoritative</a> (bool aAuthoritative)</td></tr>
<tr class="memdesc:a8e9c5085e489b8b5794c837affe83a4a inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Authoritative value.  <a href="#a8e9c5085e489b8b5794c837affe83a4a">More...</a><br /></td></tr>
<tr class="separator:a8e9c5085e489b8b5794c837affe83a4a inherit pub_methods_classThread_1_1MeshCoP_1_1Timestamp"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classThread_1_1Mle_1_1Tlv"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classThread_1_1Mle_1_1Tlv')"><img src="../../closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html">Thread::Mle::Tlv</a></td></tr>
<tr class="memitem:af70cebff9bed012cf22a9b26e0bdd1d1 inherit pub_types_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a> { <br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a3ea89fc328ddd480b82f733cd22f2b90">kSourceAddress</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1ad26d819e7d4a1169d68702717d2ef717">kMode</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1acdea9fb4d10c74f4e7f4e6161fc2d3bd">kTimeout</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a1ba1fb810f84e9a0cbc63d29241d5c38">kChallenge</a> = 3, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1aa745d2f458c1c880e569d156c1565229">kResponse</a> = 4, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a49a90c24fadc447ea05ea5be8267127e">kLinkFrameCounter</a> = 5, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a31f349adb3d20e9a45dd8d3b38100db2">kLinkQuality</a> = 6, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1ac2d1d3dc484071d4fa535c4da6e802c7">kNetworkParameter</a> = 7, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a3b9f5285d890b1277f7d6e5f038725bd">kMleFrameCounter</a> = 8, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a4ce879b8c16cea609d2a5690034b6b28">kRoute</a> = 9, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1abb5b471c5b37c31e4a98b6ac06fd0825">kAddress16</a> = 10, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1af9daf15db42ddd3c2c606daf4cfe83c5">kLeaderData</a> = 11, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1af8ad6f8471a62ad13772daf64a85bafe">kNetworkData</a> = 12, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1ab41fbe3aaf615636f218d78b91b21059">kTlvRequest</a> = 13, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a10e04f554b3a157449235081270a1182">kScanMask</a> = 14, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a1f07a8ccefb16866f23e23fa2a9efa7f">kConnectivity</a> = 15, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1abada390463982cd091810a97a0fa318d">kLinkMargin</a> = 16, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a5cbb58900256740237f2eb4ebb3b5fb6">kStatus</a> = 17, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a1a8c877416423ba175f2161a7ecedb94">kVersion</a> = 18, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1acb4801567803107a5d93bd5c7a039868">kAddressRegistration</a> = 19, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a6ad87ef90b4bb752ba14151b16097dc0">kChannel</a> = 20, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a19c246f76c45d1a007fe679783a90c91">kPanId</a> = 21, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a76fe5063bef34fece1a47b736f0b02fc">kActiveTimestamp</a> = 22, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1adc1e9bc226d97467b0b1726d10af740d">kPendingTimestamp</a> = 23, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a2663d86e5fc7f5b288845448b29d7ded">kActiveDataset</a> = 24, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a966bf9a058ad916f58150de81a38f83e">kPendingDataset</a> = 25, 
<br />
&#160;&#160;<a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1a19eb1e491f4641815efb05c667e74720">kDiscovery</a> = 26, 
<br />
&#160;&#160;<b>kInvalid</b> = 255
<br />
 }<tr class="memdesc:af70cebff9bed012cf22a9b26e0bdd1d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">MLE TLV Types.  <a href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:af70cebff9bed012cf22a9b26e0bdd1d1 inherit pub_types_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classThread_1_1Mle_1_1Tlv"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classThread_1_1Mle_1_1Tlv')"><img src="../../closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html">Thread::Mle::Tlv</a></td></tr>
<tr class="memitem:ac452d3aa15759caa12dd6e3ff3a64af5 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#ac452d3aa15759caa12dd6e3ff3a64af5">GetTlv</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a> aType, uint16_t aMaxLength, <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html">Tlv</a> &amp;aTlv)</td></tr>
<tr class="memdesc:ac452d3aa15759caa12dd6e3ff3a64af5 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method reads the requested TLV out of <code>aMessage</code>.  <a href="#ac452d3aa15759caa12dd6e3ff3a64af5">More...</a><br /></td></tr>
<tr class="separator:ac452d3aa15759caa12dd6e3ff3a64af5 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0b8e9d6a043f25504ff6523a6977c8 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#a2e0b8e9d6a043f25504ff6523a6977c8">GetOffset</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#af70cebff9bed012cf22a9b26e0bdd1d1">Type</a> aType, uint16_t &amp;aOffset)</td></tr>
<tr class="memdesc:a2e0b8e9d6a043f25504ff6523a6977c8 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method obtains the offset of a TLV within <code>aMessage</code>.  <a href="#a2e0b8e9d6a043f25504ff6523a6977c8">More...</a><br /></td></tr>
<tr class="separator:a2e0b8e9d6a043f25504ff6523a6977c8 inherit pub_static_methods_classThread_1_1Mle_1_1Tlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements Pending Timestamp TLV generation and parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a23c1adf639c35ecbda8cafcffc171797"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Mle::PendingTimestampTlv::IsValid </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the TLV appears to be well-formed. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the TLV appears to be well-formed. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the TLV does not appear to be well-formed. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv_a23c1adf639c35ecbda8cafcffc171797_cgraph.png" border="0" usemap="#dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv_a23c1adf639c35ecbda8cafcffc171797_cgraph" alt=""/></div>
<map name="dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv_a23c1adf639c35ecbda8cafcffc171797_cgraph" id="dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv_a23c1adf639c35ecbda8cafcffc171797_cgraph">
<area shape="rect" id="node2" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#a2ca0e457786d652857a47519d7629bea" title="This method returns the Length value. " alt="" coords="268,12,455,37"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv_a23c1adf639c35ecbda8cafcffc171797_icgraph.png" border="0" usemap="#dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv_a23c1adf639c35ecbda8cafcffc171797_icgraph" alt=""/></div>
<map name="dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv_a23c1adf639c35ecbda8cafcffc171797_icgraph" id="dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv_a23c1adf639c35ecbda8cafcffc171797_icgraph">
<area shape="rect" id="node2" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="268,264,482,289"/>
<area shape="rect" id="node13" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1086,145,1248,184"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2144,189,2324,214"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="822,285,996,324"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1073,354,1261,393"/>
<area shape="rect" id="node9" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1321,512,1537,550"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="544,442,735,481"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="530,178,750,204"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="559,228,720,266"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2380,182,2553,221"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2424,274,2508,300"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2601,457,2756,496"/>
<area shape="rect" id="node10" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="1611,518,1831,544"/>
<area shape="rect" id="node11" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="1897,457,2089,496"/>
<area shape="rect" id="node12" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2137,457,2332,496"/>
<area shape="rect" id="node14" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1349,145,1510,184"/>
<area shape="rect" id="node19" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1349,70,1510,109"/>
<area shape="rect" id="node21" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1313,285,1545,324"/>
<area shape="rect" id="node15" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1639,120,1803,158"/>
<area shape="rect" id="node17" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1908,182,2078,221"/>
<area shape="rect" id="node16" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1911,57,2075,96"/>
<area shape="rect" id="node18" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1923,120,2063,158"/>
<area shape="rect" id="node20" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1593,57,1849,96"/>
<area shape="rect" id="node22" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="1656,356,1787,381"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="831,626,987,652"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1068,576,1265,601"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="798,474,1020,500"/>
<area shape="rect" id="node25" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="1670,622,1773,648"/>
<area shape="rect" id="node27" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="1656,572,1787,597"/>
<area shape="rect" id="node29" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="1666,461,1776,486"/>
<area shape="rect" id="node31" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="807,170,1011,209"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../d1/df7/mle__tlvs_8hpp_source.html">mle_tlvs.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/dd4/namespaceThread_1_1Mle.html">Mle</a></li><li class="navelem"><a class="el" href="../../dd/d41/classThread_1_1Mle_1_1PendingTimestampTlv.html">PendingTimestampTlv</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
